/////////////////////////////////////////////////// -*- mode:c++; -*- ////
//  Copyright (C) 2008 by Jonathan Marten				//
//  jjm@keelhaul.me.uk							//
//									//
//  This program is free software; you can redistribute it and/or	//
//  modify it under the terms of the GNU General Public License as	//
//  published by the Free Software Foundation; either version 2 of	//
//  the License, or (at your option) any later version.			//
//									//
//  This program is distributed in the hope that it will be useful,	//
//  but WITHOUT ANY WARRANTY; without even the implied warranty of	//
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the	//
//  GNU General Public License for more details.			//
//									//
//  You should have received a copy of the GNU General Public License	//
//  along with this program; if not, write to the			//
//  Free Software Foundation, Inc.,					//
//  59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.		//
//									//
//////////////////////////////////////////////////////////////////////////


//////////////////////////////////////////////////////////////////////////
//									//
//  This file is part of Kadoom, a KDE desktop front end to various	//
//  Doom game engines.  See http://www.keelhaul.me.uk/linux/kadoom	//
//  for the latest version and further information.			//
//									//
//									//
//  MainObject								//
//  ----------								//
//									//
//  This object manages creation and deletion of the main widget,	//
//  which is specific to the selected game engine.			//
//									//
//////////////////////////////////////////////////////////////////////////

#ifndef __KADOOMMAINOBJECT_H
#define __KADOOMMAINOBJECT_H

#include <qobject.h>

class KadoomMainWindow;

class KadoomMainObject : public QObject
{
	Q_OBJECT

public:
	KadoomMainObject();

protected slots:
	void slotEngineChanged();
	void slotEngineChanged2();

private:
	KadoomMainWindow *mainwin;
};

#endif							// KADOOMMAINOBJECT_H
